import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { House } from './House';
import { Room } from './Room';
import { User } from './User';
export declare class Message extends BaseCollection {
    private client;
    house?: House;
    room?: Room;
    id: string | undefined;
    content?: string;
    timestamp?: Date;
    author?: User;
    constructor(client: Client);
    Collect(key: string | number, value: any): any;
    Delete(key: string | number): void;
    Remove(): Promise<any>;
    Edit(content: string): Promise<any>;
}
