import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { BaseRoom } from '../Types/Room';
import { House } from './House';
export declare class Room extends BaseCollection implements BaseRoom {
    private client;
    id: string;
    name: string;
    house?: House;
    constructor(client: Client);
    /**
     *
     * @param {string} key Object key
     * @param {value} value Object value
     */
    Collect(key: string | number, value: any): Promise<any>;
    /**
     * Send function to send message to room
     * @param {string} content Message contents
     */
    Send(content: string): Promise<any>;
    Create: (name: string) => Promise<any>;
    Delete(): Promise<any>;
}
