import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { Room } from './Room';
import { Member } from './Member';
export declare class House extends BaseCollection {
    private client?;
    rooms?: Room;
    id?: string;
    name?: string;
    owner_id?: string;
    icon?: string;
    banner?: string;
    synced?: boolean;
    members?: Member;
    constructor(client: Client);
    Collect<T = any>(key: string, value: any): T;
    Create(name: string): Promise<any>;
    CreateInvite(uses: number, age: number): Promise<any>;
    CreateRoom(name: string): Promise<any>;
    Join(code: string): Promise<any>;
    Leave(): Promise<any>;
    Delete(): Promise<any>;
}
